harmony-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From hinde...@apache.org
Subject svn commit: r810975 - /harmony/enhanced/branches/java6/debian/
Date Thu, 03 Sep 2009 14:43:18 GMT
Author: hindessm
Date: Thu Sep  3 14:43:16 2009
New Revision: 810975

URL: http://svn.apache.org/viewvc?rev=810975&view=rev
Log:
Debian packaging for java6.

Added:
    harmony/enhanced/branches/java6/debian/harmony-6.0-classlib.dirs
    harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.dirs
    harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.lintian
    harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.postinst
    harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.prerm
    harmony/enhanced/branches/java6/debian/harmony-6.0-hdk.dirs
    harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.dirs
    harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.links
    harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.postinst
    harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.prerm
    harmony/enhanced/branches/java6/debian/harmony-6.0-jre.dirs
    harmony/enhanced/branches/java6/debian/harmony-6.0-jre.links
    harmony/enhanced/branches/java6/debian/harmony-6.0-jre.postinst
    harmony/enhanced/branches/java6/debian/harmony-6.0-jre.prerm
Removed:
    harmony/enhanced/branches/java6/debian/harmony-5.0-classlib.dirs
    harmony/enhanced/branches/java6/debian/harmony-5.0-drlvm.dirs
    harmony/enhanced/branches/java6/debian/harmony-5.0-drlvm.lintian
    harmony/enhanced/branches/java6/debian/harmony-5.0-drlvm.postinst
    harmony/enhanced/branches/java6/debian/harmony-5.0-drlvm.prerm
    harmony/enhanced/branches/java6/debian/harmony-5.0-hdk.dirs
    harmony/enhanced/branches/java6/debian/harmony-5.0-jdk.dirs
    harmony/enhanced/branches/java6/debian/harmony-5.0-jdk.links
    harmony/enhanced/branches/java6/debian/harmony-5.0-jdk.postinst
    harmony/enhanced/branches/java6/debian/harmony-5.0-jdk.prerm
    harmony/enhanced/branches/java6/debian/harmony-5.0-jre.dirs
    harmony/enhanced/branches/java6/debian/harmony-5.0-jre.links
    harmony/enhanced/branches/java6/debian/harmony-5.0-jre.postinst
    harmony/enhanced/branches/java6/debian/harmony-5.0-jre.prerm
Modified:
    harmony/enhanced/branches/java6/debian/changelog
    harmony/enhanced/branches/java6/debian/control
    harmony/enhanced/branches/java6/debian/copyright
    harmony/enhanced/branches/java6/debian/rules

Modified: harmony/enhanced/branches/java6/debian/changelog
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/changelog?rev=810975&r1=810974&r2=810975&view=diff
==============================================================================
--- harmony/enhanced/branches/java6/debian/changelog (original)
+++ harmony/enhanced/branches/java6/debian/changelog Thu Sep  3 14:43:16 2009
@@ -1,69 +1,5 @@
-harmony-5.0 (0.0r808406-1) unstable; urgency=low
+harmony-6.0 (0.0r809832-1) unstable; urgency=low
 
-  * Milestone 11 release.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Fri, 28 Aug 2009 05:56:51 +0100
-
-harmony-5.0 (0.0r782693-1) unstable; urgency=low
-
-  * Milestone 10 release.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Tue,  9 Jun 2009 09:38:22 +0100
-
-harmony-5.0 (0.0r761593-1) unstable; urgency=low
-
-  * Milestone 9 release.
-  * Splitting of jre into three packages.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Mon, 20 Apr 2009 14:37:56 +0100
-
-harmony-5.0 (0.0r681495-1) unstable; urgency=low
-
-  * Milestone 7 release
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Thu, 21 Aug 2008 15:43:47 +0100
-
-harmony-5.0 (0.0r653525-1) unstable; urgency=low
-
-  * Milestone 6 release
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Tue, 20 May 2008 14:03:47 +0100
-
-harmony-5.0 (0.0r629320-2) unstable; urgency=low
-
-  * Fixed dependency metadata.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Fri,  7 Mar 2008 08:50:49 +0000
-
-harmony-5.0 (0.0r629320-1) unstable; urgency=low
-
-  * Milestone 5 release
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Mon,  3 Mar 2008 12:47:15 +0000
-
-harmony-5.0 (0.0r580890-1) unstable; urgency=low
-
-  * Fixing source package name.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Mon,  1 Oct 2007 10:16:44 +0100
-
-harmony-5.0 (0.0r564139-1) unstable; urgency=low
-
-  * Changed package name.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Thu,  9 Aug 2007 09:23:37 +0100
-
-apache-harmony (0.0r563886-1) unstable; urgency=low
-
-  * Added hdk.
-  * Make hdk require jdk which in turn requires jre.
-  * Add lintian overrides for icu libraries.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Wed,  8 Aug 2007 14:58:28 +0100
-
-apache-harmony (0.0r562079-1) unstable; urgency=low
-
-  * Initial attempt at Debian package.  Still needs a lot of work.
-
- -- Mark Hindess <mark.hindess@googlemail.com>  Thu,  2 Aug 2007 12:16:25 +0100
+  * Milestone 1 release.
 
+ -- Mark Hindess <mark.hindess@googlemail.com>  Tue,  1 Sep 2009 10:55:22 +0100

Modified: harmony/enhanced/branches/java6/debian/control
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/control?rev=810975&r1=810974&r2=810975&view=diff
==============================================================================
--- harmony/enhanced/branches/java6/debian/control (original)
+++ harmony/enhanced/branches/java6/debian/control Thu Sep  3 14:43:16 2009
@@ -1,40 +1,40 @@
-Source: harmony-5.0
+Source: harmony-6.0
 Section: devel
 Priority: extra
 Maintainer: Mark Hindess <mark.hindess@googlemail.com>
 Build-Depends: debhelper (>= 5), ecj-bootstrap | libecj-java, junit, ant (>= 1.7.0),
subversion, ant-optional, liblcms1-dev, libjpeg62-dev, libpng-dev, libxft-dev, libxml2-dev,
libxtst-dev, libxext-dev
 Standards-Version: 3.7.2
 
-Package: harmony-5.0-drlvm
+Package: harmony-6.0-drlvm
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g-dev
-Provides: harmony-5.0-vm
-Suggests: harmony-5.0-jre
+Provides: harmony-6.0-vm
+Suggests: harmony-6.0-jre
 Description: Apache Harmony DRL Virtual Machine
  <insert long description, indented with spaces>
 
-Package: harmony-5.0-classlib
+Package: harmony-6.0-classlib
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6, libxext6, libxmu6
 Description: Apache Harmony Java Class Libraries
  <insert long description, indented with spaces>
 
-Package: harmony-5.0-jre
+Package: harmony-6.0-jre
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6, zlib1g-dev, libxext6, libxmu6, harmony-5.0-vm,
harmony-5.0-classlib
+Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6, zlib1g-dev, libxext6, libxmu6, harmony-6.0-vm,
harmony-6.0-classlib
 Provides: java-virtual-machine, java-runtime, java1-runtime, java2-runtime
 Description: Apache Harmony JRE
  <insert long description, indented with spaces>
 
-Package: harmony-5.0-jdk
+Package: harmony-6.0-jdk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, harmony-5.0-jre
+Depends: ${shlibs:Depends}, ${misc:Depends}, harmony-6.0-jre
 Provides: java-compiler, java2-compiler
 Description: Apache Harmony JDK
  <insert long description, indented with spaces>
 
-Package: harmony-5.0-hdk
+Package: harmony-6.0-hdk
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, harmony-5.0-jdk
+Depends: ${shlibs:Depends}, ${misc:Depends}, harmony-6.0-jdk
 Description: Apache Harmony HDK
  <insert long description, indented with spaces>

Modified: harmony/enhanced/branches/java6/debian/copyright
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/copyright?rev=810975&r1=810974&r2=810975&view=diff
==============================================================================
--- harmony/enhanced/branches/java6/debian/copyright (original)
+++ harmony/enhanced/branches/java6/debian/copyright Thu Sep  3 14:43:16 2009
@@ -1,5 +1,5 @@
 This package was debianized by Mark Hindess <mark.hindess@googlemail.com> on
-2 August 2007.
+27 August 2009.
 
 It was downloaded from the Apache Harmony subversion repository.  (See
 http://harmony.apache.org/)
@@ -214,5 +214,4 @@
    See the License for the specific language governing permissions and
    limitations under the License.
 
-See also the THIRD_PARTY_NOTICES.txt file in the /usr/share/doc directory
-for this package.
+See also the LICENSE file in the /usr/share/doc directory for this package.

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-classlib.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-classlib.dirs?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-classlib.dirs (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-classlib.dirs Thu Sep  3 14:43:16 2009
@@ -0,0 +1 @@
+usr/lib/harmony-6.0/jdk/jre

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.dirs?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.dirs (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.dirs Thu Sep  3 14:43:16 2009
@@ -0,0 +1 @@
+usr/lib/harmony-6.0/jdk/jre/bin

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.lintian
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.lintian?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.lintian (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.lintian Thu Sep  3 14:43:16 2009
@@ -0,0 +1,2 @@
+harmony-6.0-jre: shlib-without-PT_GNU_STACK-section usr/lib/harmony-6.0/jdk/jre/bin/default/libicudata.so.34
+harmony-6.0-jre: shared-lib-without-dependency-information ./usr/lib/harmony-6.0/jdk/jre/bin/default/libicudata.so.34

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.postinst?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.postinst (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.postinst Thu Sep  3 14:43:16
2009
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postinst script for harmony-6.0-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        update-alternatives \
+            --install /usr/lib/harmony-6.0/jdk/jre/bin/default harmony-6.0-vm \
+                      /usr/lib/harmony-6.0/jdk/jre/bin/drlvm 100
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.prerm?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.prerm (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-drlvm.prerm Thu Sep  3 14:43:16 2009
@@ -0,0 +1,45 @@
+#!/bin/sh
+# prerm script for harmony-6.0-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        update-alternatives --remove harmony-6.0-vm \
+                                     /usr/lib/harmony-6.0/jdk/jre/bin/drlvm
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-hdk.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-hdk.dirs?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-hdk.dirs (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-hdk.dirs Thu Sep  3 14:43:16 2009
@@ -0,0 +1 @@
+usr/lib/harmony-6.0

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.dirs?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.dirs (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.dirs Thu Sep  3 14:43:16 2009
@@ -0,0 +1 @@
+usr/lib/harmony-6.0/jdk

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.links
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.links?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.links (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.links Thu Sep  3 14:43:16 2009
@@ -0,0 +1,10 @@
+/usr/lib/harmony-6.0/jdk/bin/appletviewer /usr/bin/appletviewer-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/jar /usr/bin/jar-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/jarsigner /usr/bin/jarsigner-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/javac /usr/bin/javac-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/javadoc /usr/bin/javadoc-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/javah /usr/bin/javah-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/javap /usr/bin/javap-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/rmic /usr/bin/rmic-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/rmid /usr/bin/rmid-harmony-6.0
+/usr/lib/harmony-6.0/jdk/bin/rmiregistry /usr/bin/rmiregistry-harmony-6.0

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.postinst?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.postinst (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.postinst Thu Sep  3 14:43:16 2009
@@ -0,0 +1,48 @@
+#!/bin/sh
+# postinst script for harmony-6.0-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        for f in appletviewer jar jarsigner javac javadoc javah javap \
+                 rmic rmid rmiregistry ; do
+            update-alternatives \
+                --install /usr/bin/$f $f /usr/bin/$f-harmony-6.0 30 \
+                --slave /usr/share/man/man1/$f.1.gz $f.1.gz \
+                        /usr/share/man/man1/$f-harmony-6.0.1.gz
+        done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.prerm?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.prerm (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jdk.prerm Thu Sep  3 14:43:16 2009
@@ -0,0 +1,47 @@
+#!/bin/sh
+# prerm script for harmony-6.0-jdk
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        for f in appletviewer jar jarsigner javac javadoc javah javap \
+                 rmic rmid rmiregistry ; do
+            update-alternatives --remove $f /usr/bin/$f-harmony-6.0
+        done
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jre.dirs
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jre.dirs?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jre.dirs (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jre.dirs Thu Sep  3 14:43:16 2009
@@ -0,0 +1 @@
+usr/lib/harmony-6.0/jdk/jre

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jre.links
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jre.links?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jre.links (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jre.links Thu Sep  3 14:43:16 2009
@@ -0,0 +1,5 @@
+/usr/lib/harmony-6.0/jdk/jre/bin/java /usr/bin/java-harmony-6.0
+/usr/lib/harmony-6.0/jdk/jre/bin/keytool /usr/bin/keytool-harmony-6.0
+/usr/lib/harmony-6.0/jdk/jre/bin/pack200 /usr/bin/pack200-harmony-6.0
+/usr/lib/harmony-6.0/jdk/jre/bin/policytool /usr/bin/policytool-harmony-6.0
+/usr/lib/harmony-6.0/jdk/jre/bin/unpack200 /usr/bin/unpack200-harmony-6.0

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jre.postinst
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jre.postinst?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jre.postinst (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jre.postinst Thu Sep  3 14:43:16 2009
@@ -0,0 +1,47 @@
+#!/bin/sh
+# postinst script for harmony-6.0-jre
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        for f in java keytool pack200 policytool unpack200 ; do
+            update-alternatives \
+                --install /usr/bin/$f $f /usr/bin/$f-harmony-6.0 30 \
+                --slave /usr/share/man/man1/$f.1.gz $f.1.gz \
+                        /usr/share/man/man1/$f-harmony-6.0.1.gz
+        done
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Added: harmony/enhanced/branches/java6/debian/harmony-6.0-jre.prerm
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/harmony-6.0-jre.prerm?rev=810975&view=auto
==============================================================================
--- harmony/enhanced/branches/java6/debian/harmony-6.0-jre.prerm (added)
+++ harmony/enhanced/branches/java6/debian/harmony-6.0-jre.prerm Thu Sep  3 14:43:16 2009
@@ -0,0 +1,46 @@
+#!/bin/sh
+# prerm script for harmony-6.0-jre
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|deconfigure)
+        for f in java keytool pack200 policytool unpack200 ; do
+            update-alternatives --remove $f /usr/bin/$f-harmony-6.0
+        done
+    ;;
+
+    upgrade)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+

Modified: harmony/enhanced/branches/java6/debian/rules
URL: http://svn.apache.org/viewvc/harmony/enhanced/branches/java6/debian/rules?rev=810975&r1=810974&r2=810975&view=diff
==============================================================================
--- harmony/enhanced/branches/java6/debian/rules (original)
+++ harmony/enhanced/branches/java6/debian/rules Thu Sep  3 14:43:16 2009
@@ -13,12 +13,12 @@
 # -lib /usr/share/java ensures that ant finds ecj.jar, etc
 ANT_FLAGS = -lib /usr/share/java \
             -Dhy.local.zlib=true -Dhy.zip.api=false   \
-            -Dhy.no.thr=false -Dauto.fetch=true
-VMDIR=$(CURDIR)/debian/harmony-5.0-drlvm
-CLDIR=$(CURDIR)/debian/harmony-5.0-classlib
-JREDIR=$(CURDIR)/debian/harmony-5.0-jre
-JDKDIR=$(CURDIR)/debian/harmony-5.0-jdk
-HDKDIR=$(CURDIR)/debian/harmony-5.0-hdk
+            -Dhy.no.thr=false -Dauto.fetch=true -Djava6=true
+VMDIR=$(CURDIR)/debian/harmony-6.0-drlvm
+CLDIR=$(CURDIR)/debian/harmony-6.0-classlib
+JREDIR=$(CURDIR)/debian/harmony-6.0-jre
+JDKDIR=$(CURDIR)/debian/harmony-6.0-jdk
+HDKDIR=$(CURDIR)/debian/harmony-6.0-hdk
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -90,31 +90,31 @@
 	dh_clean -k -s  --exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/Makefile.orig
--exclude ./working_classlib/modules/luni/src/main/native/fdlibm_dist/fdlibm.h.orig --exclude
./working_classlib/modules/luni/src/main/native/fdlibm_dist/s_lib_version.c.orig --exclude
./working_classlib/modules/archive/src/main/native/zlib_dist/Makefile.orig
 	dh_installdirs -s
 
-	mkdir -p $(VMDIR)/usr/lib/harmony-5.0/jdk/jre/bin
-	-rm -rf $(VMDIR)/usr/lib/harmony-5.0/jdk/jre/bin/drlvm
+	mkdir -p $(VMDIR)/usr/lib/harmony-6.0/jdk/jre/bin
+	-rm -rf $(VMDIR)/usr/lib/harmony-6.0/jdk/jre/bin/drlvm
 	mv $(CURDIR)/target/hdk/jdk/jre/bin/default \
-	    $(VMDIR)/usr/lib/harmony-5.0/jdk/jre/bin/drlvm
+	    $(VMDIR)/usr/lib/harmony-6.0/jdk/jre/bin/drlvm
 	mv $(CURDIR)/target/hdk/jdk/jre/bin/libhythr.so \
-	    $(VMDIR)/usr/lib/harmony-5.0/jdk/jre/bin
+	    $(VMDIR)/usr/lib/harmony-6.0/jdk/jre/bin
 	mkdir -p $(VMDIR)/usr/share/lintian/overrides
-	cp -pr $(CURDIR)/debian/harmony-5.0-drlvm.lintian \
-	    $(VMDIR)/usr/share/lintian/overrides/harmony-5.0-drlvm
+	cp -pr $(CURDIR)/debian/harmony-6.0-drlvm.lintian \
+	    $(VMDIR)/usr/share/lintian/overrides/harmony-6.0-drlvm
 
-	mkdir -p $(CLDIR)/usr/lib/harmony-5.0/jdk
-	-rm -rf $(CLDIR)/usr/lib/harmony-5.0/jdk/jre
-	mv $(CURDIR)/target/hdk/jdk/jre $(CLDIR)/usr/lib/harmony-5.0/jdk
-
-	mkdir -p $(JREDIR)/usr/lib/harmony-5.0/jdk/jre/bin
-	mv $(CLDIR)/usr/lib/harmony-5.0/jdk/jre/bin/java \
-	   $(JREDIR)/usr/lib/harmony-5.0/jdk/jre/bin
-
-	mkdir -p $(JDKDIR)/usr/lib/harmony-5.0
-	-rm -rf $(JDKDIR)/usr/lib/harmony-5.0/jdk
-	mv $(CURDIR)/target/hdk/jdk $(JDKDIR)/usr/lib/harmony-5.0
+	mkdir -p $(CLDIR)/usr/lib/harmony-6.0/jdk
+	-rm -rf $(CLDIR)/usr/lib/harmony-6.0/jdk/jre
+	mv $(CURDIR)/target/hdk/jdk/jre $(CLDIR)/usr/lib/harmony-6.0/jdk
+
+	mkdir -p $(JREDIR)/usr/lib/harmony-6.0/jdk/jre/bin
+	mv $(CLDIR)/usr/lib/harmony-6.0/jdk/jre/bin/java \
+	   $(JREDIR)/usr/lib/harmony-6.0/jdk/jre/bin
+
+	mkdir -p $(JDKDIR)/usr/lib/harmony-6.0
+	-rm -rf $(JDKDIR)/usr/lib/harmony-6.0/jdk
+	mv $(CURDIR)/target/hdk/jdk $(JDKDIR)/usr/lib/harmony-6.0
 
 	mkdir -p $(HDKDIR)/usr/lib
-	-rm -rf $(HDKDIR)/usr/lib/harmony-5.0
-	mv $(CURDIR)/target/hdk $(HDKDIR)/usr/lib/harmony-5.0
+	-rm -rf $(HDKDIR)/usr/lib/harmony-6.0
+	mv $(CURDIR)/target/hdk $(HDKDIR)/usr/lib/harmony-6.0
 
 	dh_install -s
 # Must not depend on anything. This is to be called by
@@ -144,7 +144,7 @@
 #	dh_perl
 	dh_makeshlibs
 	dh_installdeb
-	LD_LIBRARY_PATH=debian/harmony-5.0-drlvm/usr/lib/harmony-5.0/jdk/jre/bin:debian/harmony-5.0-drlvm/usr/lib/harmony-5.0/jdk/jre/bin/drlvm:$LD_LIBRARY_PATH
dh_shlibdeps
+	LD_LIBRARY_PATH=debian/harmony-6.0-drlvm/usr/lib/harmony-6.0/jdk/jre/bin:debian/harmony-6.0-drlvm/usr/lib/harmony-6.0/jdk/jre/bin/drlvm:$(LD_LIBRARY_PATH)
dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb



Mime
View raw message